#include "project.h"
#include "stdio.h"

#define STR_LEN 128
char str[STR_LEN+1] ;
void print(char *str)
{
    UART_PutString(str) ;
}

void cls(void)
{
    print("\033c") ; /* reset */
    CyDelay(100) ;
    print("\033[2J") ; /* clear screen */
    CyDelay(100) ;
}

int main(void)
{
    int count = 0 ;
    
    CyGlobalIntEnable; /* Enable global interrupts. */

    UART_Start() ;
    
    cls() ;
    snprintf(str, STR_LEN, "UART Test (%s %s)\n", __DATE__, __TIME__) ;
    print(str) ;

    for(;;)
    {
        snprintf(str, STR_LEN, "Count = %d\n", count++) ;
        print(str) ;
        CyDelay(1000) ;
    }
}

/* [] END OF FILE */
